关闭

cocoapods试验版

标签: 试验
25人阅读 评论(0) 收藏 举报
分类:

CocoaPods基于Ruby语言开发而成,因此安装CocoaPods前需要安装Ruby环境。幸运的是Mac系统默认自带Ruby环境,如果没有请自行查找安装。检测是否安装Ruby:

gem -v
1.首先命令行去到工程包路径下,cd+空格+工程包路径,可直接拖

1.1更新gem。 sudo gem update --system(这步貌似可省,因为用的是淘宝的gem源



2.更换gem源(很重要)

因为国内网络的问题导致gem源间歇性中断,使用淘宝的gem源https://ruby.taobao.org/。

2.1删除默认的源
sudo gem sources --remove https://rubygems.org/

2.2:指定淘宝的源

sudo gem sources -a https://ruby.taobao.org/

2.3:查看指定的源是不是淘宝源

$ gem sources -l
*** CURRENT SOURCES ***

https://ruby.taobao.org/

如果是https://ruby.taobao.org/,则更换成功。


3.更新rvm(ruby版本管理器)。curl -L get rvm.io | bash -s stable
4.查看ruby版本,rvm list known
5.安装需要的ruby版本,比如: rvm install 2.3.0
6.sudo gem install cocoapods 安装cocoapods
7.pod setup 完成安装,(也有人不要的,具体问题,具体分析吧),如果此时没添加第三方库,是看不到pod文件的,不用着急,添加了就看得到了。
8.pod search 第三方,找到很合适地(此处省略30多个字)复制待用。
9.创建podfile文件。touch podfile
10.使用vim编辑podFile文件。vim podfile
11.按键盘“i“表插入。
12.刚开始的格式如,

target '工程名' do

  pod 'AFNetworking', '3.1.0'

  pod 'RongCloudIMKit', '2.6.10'

  pod 'CocoaAsyncSocket', '~> 7.5.0'

end

后面加的话就省事多了(此处省略20几个字)

13.添加完后按ESC退出,按” :”,再输入wq保存退出即可。

14.重要的基本就是这些了,参考博客:http://www.jianshu.com/p/82d0ba43f8c3

1
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:50次
    • 积分:11
    • 等级:
    • 排名:千里之外
    • 原创:1篇
    • 转载:0篇
    • 译文:0篇
    • 评论:0条
    文章分类
    文章存档
    阅读排行
    评论排行